Slogin и Версия PHP 7.0.23 ошибкааторизации Call to a member function get() on

Больше
3 нед. 2 дн. назад #8059 от mk73
Локальном компе работает с Версия PHP 5.6.8 без проблем.

Вопрос - это реально ошибка из-за версии PHP 7.0.23 на хостинге или надо в техподдержку хостинга писать?

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
3 нед. 2 дн. назад #8060 от JoomLine
Здравствуйте, какая у вас версия Joomla?
И как вы тестируете авторизацию на локальном компьютере? И где полный текст ошибки?

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
3 нед. 2 дн. назад #8061 от JoomLine
Slogin тестируется на последней версии Joomla и на актуальных версиях PHP 7.1, 7.2 и 7.3

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
3 нед. 2 дн. назад #8062 от mk73
Доброго времени суток.
Версия Joomla! 3.9.11 Stable
На локальном компе сейчас установил Версия PHP 5.6.8 (на хостинге 7.0.23) Slogin - Версия компонента - 2.8.2 Версия модуля - 2.5.0

Тестирую просто - с локального запускается авторизация например с яндекса, она нормально проходит и создается пользователь. При этом после авторизации Slogin автоматически перебрасывает пользователя на сайт на хостинге уже авторизованным.

Если же авторизацию нажимать на хостинге то сразу ошибка выдается .. см.картинки - первые 2 это на локальном хосте, вторые две на хостинге



Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
3 нед. 2 дн. назад #8063 от mk73
Кстати сейчас на локалхосте так же установил XAMPP с PHP 7.0.23 (как на хостинге) - ошибка вылезла.. установил следом с PHP 7.3.9 Ошибка так же вылазит... :(

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
3 нед. 2 дн. назад #8064 от JoomLine
В общих настройках сайта включите вывод всех ошибок (для разработчиков). Сдется, что еще что то вклинивается в авторизацию.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
3 нед. 1 день назад #8065 от mk73
Включил...
Но что-то явно от версии PHP зависит

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
2 нед. 6 дн. назад #8066 от JoomLine
я понимаю, что от версии, но допустим этот сайт PHP 7.2 и авторизация проходит нормально.
Значит проблема только в сочетании каком то, и в полной отладке должна быть ошибка и в каком файле она происходит.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
2 нед. 6 дн. назад #8067 от mk73
Поставил на локале 7.2.22... та же с ошибкой... Но индикация ошибок ничего не дает.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
2 нед. 5 дн. назад #8068 от JoomLine
Вот вам и ответ )) отключите плагин keycaptcha.
И за одно Ksecure

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
2 нед. 5 дн. назад #8069 от mk73
Отключил их обоих, не помогло..
Отключил еще пару с такими же предупреждениями плагинов (JComent вообще снес и hikasoh social плагин отключил) так чтобы этих предупреждений вообще не было.. то же не помогло :(

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
2 нед. 4 дн. назад #8070 от JoomLine
тут я только могу предложить дать доступ к сайту, чтоб все таки провести диагностику.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
2 нед. 4 дн. назад #8071 от mk73
Если зарегистрируйтесь на сайте, сообщите логин, дам права администратора этого будет достаточно?

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Работает на Kunena форум
© 2010-2019 JoomLine
The Joomla!® name is used under a limited license from Open Source Matters in the United States and other countries. joomline.net is not affiliated with or endorsed by Open Source Matters or the Joomla! Project.

тел.: +7 950 676-22-39
email: Этот адрес электронной почты защищён от спам-ботов. У вас должен быть включен JavaScript для просмотра.